#
# spec file for package perl-Text-CSV
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-CSV
Version:        1.33
Release:        5.1
%define cpan_name Text-CSV
Summary:        comma-separated values manipulator (using XS or PurePerl)
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-CSV/
Source:         http://www.cpan.org/authors/id/M/MA/MAKAMAKA/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Text::CSV provides facilities for the composition and decomposition of
comma-separated values using the Text::CSV_XS manpage or its pure Perl
version.

An instance of the Text::CSV class can combine fields into a CSV string and
parse a CSV string into fields.

The module accepts either strings or files as input and can utilize any
user-specified characters as delimiters, separators, and escapes so it is
perhaps better called ASV (anything separated values) rather than just CSV.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.33
  see /usr/share/doc/packages/perl-Text-CSV/Changes
  1.33  Tue Mar  3 14:13:41 2015
  - Fix some reported bugs with handling fields with zeros.
  https://rt.cpan.org/Public/Bug/Display.html?id=93518
  https://rt.cpan.org/Public/Bug/Display.html?id=92509
  patched by shlomif
  - catch up Text::CSV_XS 1.02
  * add decode_utf8 attribute by ktat
  - fix warnings: $. is undefined by ktat
  - typo fixes in doc by anirvan, dsteinbrunner and pdl.
  - parse() supports bind_columns()
  * TODO: Updating documents and adding diag_verbose in the next version.
  Catching up CSV_XS 1.04.
* Sat Jul 27 2013 coolo@suse.com
- updated to 1.32
  - fix t/rt71_pp.t
  - fix handling UTF8 in parse method.
  - fix getline with allow_loose_quotes (rt#83705)
  - add allow_unquoted_escape
  - fix parsing escapted sep char (found in Text::CSV_XS rt#81295)
  * TODO: Updating documents and adding diag_verbose in the next version
  - catch up Text::CSV_XS 0.99
    (except for diag_verbose and allow_unquoted_escape)
* Fri Feb 10 2012 pascal.bleser@opensuse.org
- fix Summary capitalization for rpmlint
* Thu Mar 24 2011 coolo@novell.com
- update to 1.21
  * updated the compatibility for Text::CSV_XS version 0.80
  * added getline_all() and getaline_hr_all()
  * added missing test file
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Nov  3 2010 dmueller@suse.de
- update to 1.20:
  - couldn't parse the csv containing the column starting with '0'. (hiratara)
  * patched by hiratara
  * enhanced getline regexp (makamaka)
  * resolved a bug in bleadperl-fb85c04
  - added tests into t/71_pp.t (hiratara)
* Sun Oct 17 2010 chris@computersalat.de
- update to 1.19
  - getline didn't work correctly with 0 or null containing lines
    (pointed by Bernhard Prott)
  - updated the compatibility for Text::CSV_XS version 0.74
  * real eol support for parsing streams (beyond \n, \r and \r\n)
  * clarify doc for always_quote to not quote undef fields
    and XS and PP incompatibility of UTF8 process for print and combine
- 1.18  Sat Jun 19 10:34:07 2010
  - fixed a combine bug with quote_space reported and patched by rt#58356
  - updated test files compatible to CSV_XS 0.73
- noarch pkg
- recreated by cpanspec 1.78
* Wed Mar 17 2010 lars@linux-schulserver.de
- update to 1.17:
  + fixed parse working when setting quote_char undef
  + made Text::CSV_XS compat 0.71
  * Text::CSV->error_diag() in void context warns instead
    of doing nothing
  * auto_diag also used for new () itself
  * Added quote_space attribute
  * Forbad \r and \n in sep_char, quote_char, and escape_char
  * Auto detection of eol => "\r" in streams
  * fail if first arg to new () is not a hash ref
  * added empty_is_undef
  * error_diag () uses warn () in void context instead of STDERR
  * added auto_diag attribute
  * updated documents same as Text::CSV_XS
  + added quote_null (introduced in Text::CSV_XS 0.72)
  + getline() didn't handle '0' starting multi line data
- use perl standard macros in specfile
* Tue Jun  2 2009 lars@linux-schulserver.de
- update to 1.12
* Sun Nov 30 2008 lars@linux-schulserver.de
- initial version 1.10
